<?php

namespace Drupal\system\Controller;

use Symfony\Component\HttpFoundation\Request;

class ApsDbUpdateController extends DbUpdateController
{
    /**
     * REQUIREMENT_OK = 0
     *
     * @var int
     */
    public $apsSeverity = 0;

    /**
     * Renders a list of requirement errors or warnings.
     *
     * @param \Symfony\Component\HttpFoundation\Request $request
     *   The current request.
     *
     * @return array
     *   A render array.
     */
    public function requirements($severity, array $requirements, Request $request)
    {
        $this->apsSeverity = max($this->apsSeverity, $severity);

        return parent::requirements($severity, $requirements, $request);
    }

    /**
     * Starts the database update batch process.
     *
     * @param \Symfony\Component\HttpFoundation\Request $request
     *   The current request object.
     */
    protected function triggerBatch(Request $request)
    {
        return parent::triggerBatch($request) ?: [];
    }
}
